Bug 15026 - Сеть в контейнере доступна при существующем "снаружи" IP
: Сеть в контейнере доступна при существующем "снаружи" IP
Status: CLOSED FIXED
: Branch 4.0
(All bugs in Branch 4.0/vzctl)
: 4.0
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 14167
  Show dependency tree
 
Reported: 2008-03-21 14:53 by
Modified: 2013-04-01 18:09 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-03-21 14:53:59
kernel-image-ovz-smp-2.6.18-alt22

[root@office-vz1 ~]# vzctl start 98
Starting VE ...
VE is mounted
Adding IP address(es): 10.192.168.98
arpsend: 10.192.168.98 is detected on another computer : 00:19:b9:1f:b1:e4
vps-net_add WARNING: arpsend -c 1 -w 1 -D -e 10.192.168.98 eth0 FAILED
Setting CPU units: 1000
Configure meminfo: 131072
Set hostname: vps98.immo
VE start in progress...
[root@office-vz1 ~]# vzctl enter 98
entered into VE 98
[root@vps98 /]# ip ad
1: lo: <LOOPBACK,UP,10000> mtu 16436 qdisc noqueue
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 brd 127.255.255.255 scope host lo
3: venet0: <BROADCAST,POINTOPOINT,NOARP,UP,10000> mtu 1500 qdisc noqueue
    link/void
    inet 127.0.0.1/24 scope host venet0
    inet 10.192.168.98/32 scope global venet0:0

[root@vps98 /]# ping ya.ru
PING ya.ru (213.180.204.8) 56(84) bytes of data.
64 bytes from ya.ru (213.180.204.8): icmp_seq=1 ttl=56 time=103 ms
64 bytes from ya.ru (213.180.204.8): icmp_seq=2 ttl=56 time=126 ms
64 bytes from ya.ru (213.180.204.8): icmp_seq=3 ttl=56 time=93.1 ms
64 bytes from ya.ru (213.180.204.8): icmp_seq=4 ttl=56 time=36.4 ms


При этом на HN:
[root@office-vz1 ~]# tcpdump -eni eth0 icmp
tcpdump: verbose output suppressed, use -v or -vv for full protocol decode
listening on eth0, link-type EN10MB (Ethernet), capture size 96 bytes
19:16:27.959620 00:03:47:f1:54:95 > 00:09:6b:63:76:11, ethertype IPv4 (0x0800),
length 98: 10.192.168.98 > 213.180.204.8: ICMP echo request, id 36644, seq 1,
length 64
19:16:27.969843 00:09:6b:63:76:11 > 00:03:47:f1:54:95, ethertype IPv4 (0x0800),
length 98: 213.180.204.8 > 10.192.168.98: ICMP echo reply, id 36644, seq 1,
length 64
19:16:28.961465 00:03:47:f1:54:95 > 00:09:6b:63:76:11, ethertype IPv4 (0x0800),
length 98: 10.192.168.98 > 213.180.204.8: ICMP echo request, id 36644, seq 2,
length 64
19:16:28.986646 00:09:6b:63:76:11 > 00:03:47:f1:54:95, ethertype IPv4 (0x0800),
length 98: 213.180.204.8 > 10.192.168.98: ICMP echo reply, id 36644, seq 2,
length 64
19:16:29.961441 00:03:47:f1:54:95 > 00:09:6b:63:76:11, ethertype IPv4 (0x0800),
length 98: 10.192.168.98 > 213.180.204.8: ICMP echo request, id 36644, seq 3,
length 64

[root@office-vz1 ~]# ip li sh eth0
4: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast qlen 1000
    link/ether 00:03:47:f1:54:95 brd ff:ff:ff:ff:ff:ff


На той машине, где висит адрес, назначенный VPS'у:
[root@snowwhite ~]# ip ad sh eth0
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast qlen 1000
    link/ether 00:19:b9:1f:b1:e4 brd ff:ff:ff:ff:ff:ff
    inet 10.192.168.97/22 brd 10.192.171.255 scope global eth0
    inet 10.192.168.98/22 scope global secondary eth0

в dmesg ничего нет (широковещательный arpsend не срабатывает)

однако на default gateway arpwatch замечает смену мак-адреса для 10.192.168.98.


При откате на -alt18 проблема решается.
------- Comment #1 From 2008-12-31 15:40:25 -------
Это не сизиф.
------- Comment #2 From 2013-04-01 17:55:18 -------
Предлагаю по возможности проверить на текущем ovz-el.
------- Comment #3 From 2013-04-01 18:00:11 -------
<thresh> gvy: Миша, ничего там проверять не надо, я это всё давно исправил:
http://git.openvz.org/?p=vzctl;a=commit;h=c8c2e8caae6481546c9ad81df945822cd0ec5d89
------- Comment #4 From 2013-04-01 18:09:12 -------
Соответственно, это было исправлено в vzctl >= 3.0.24-alt1.